package com.abien.samples.crud.domain;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;

/**
 * @author adam-bien.com
 */
@Entity
@NamedQuery(name=Book.ALL,query="Select b From Book b")
public class Book implements Serializable{

    public final static String ALL = "com.abien.samples.crud.domain.Book.ALL";
    @Id
    private String isbn;

    private String name;

    public Book() {
    }

    public Book(String isbn,String name) {
        this.isbn = isbn;
        this.name = name;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

     @Override
    public String toString() {
        return "com.abien.samples.di.persistence.Book[isbn=" + isbn + "]";
    }

}
